<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xhtml" indent="yes"/>
	
	<xsl:template match="/">
		<html>
			<head>
				<title>Most Populated Cities by State</title>
			</head>
			<body>
				<xsl:for-each-group  select="//City" group-by="@State">
					<xsl:sort select="count(current-group())" 
						order="descending" data-type="number"/>
					<h2>
						<xsl:value-of select="position()"/>
						<xsl:text>. </xsl:text>
						<xsl:value-of select="current-grouping-key()"/>
						<xsl:text> - </xsl:text>
						<xsl:value-of select="count(current-group())"/>
						<xsl:text> Cities</xsl:text>
					</h2>
					<ol>
						<xsl:for-each select="current-group()">
							<li><xsl:value-of select="."/></li>
						</xsl:for-each>
						<!--
							This nested for-each loops through the City elements that part of the current group.
						-->
					</ol>
				</xsl:for-each-group>
			</body>
		</html>
	</xsl:template>
	
</xsl:stylesheet>