<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>
	<xsl:key name="keyCities" match="City" use="@State"/>
	
	<xsl:template match="/">
		<html>
			<head>
				<title>Most Populated Cities by State</title>
			</head>
			<body>
				<ol>
				<xsl:for-each 
					select="//City[generate-id(.)=generate-id(key('keyCities',@State))]">
					<!--
						The first generate-id() above returns an id for the current City.
						The second generate-id() above returns an id for the first 
							City with a State attribute that is the same as the current 
							City's State attribute.
						These values will only be equal for the first City elements 
							with a specific State attribute.
						So, this for-each loops through the each City first to specify
							a particular State.
					-->
					<li>
						<xsl:value-of select="."/>, <xsl:value-of select="@State"/>
					</li>
				</xsl:for-each>
				</ol>
			</body>
		</html>
	</xsl:template>
	
</xsl:stylesheet>