<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="xml" indent="yes"/>
	<xsl:key name="keySong" match="Song" use="@Artist"/>
	
	<xsl:template match="/">
		<html>
			<head>
				<title>Hits By Artist</title>
			</head>
			<body>
			<xsl:for-each 
				select="Songs/Song[generate-id(.)=generate-id(key('keySong',@Artist))]">
				<xsl:sort select="count(key('keySong',@Artist))" 
					order="descending" data-type="number"/>
				<h2>
					<xsl:value-of select="position()"/>.  
					<xsl:value-of select="@Artist"/> -
					<xsl:value-of select="count(key('keySong',@Artist))"/> Song(s)
				</h2>
				<ol>
					<xsl:for-each select="key('keySong',@Artist)">
						<li><xsl:value-of select="."/></li>
					</xsl:for-each>
				</ol>
			</xsl:for-each>
			</body>
		</html>
	</xsl:template>
	
</xsl:stylesheet>