<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="HTML.xsl"/>
	<xsl:output method="xhtml" indent="yes"/>
	<xsl:template match="/">
		<xsl:call-template name="StartHTML">
			<xsl:with-param name="Title" select="'Beatles'"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template match="beatle[not(@real='no')]">
		<xsl:variable name="BeatleName">
			<xsl:value-of select="name/firstname"/>
			<xsl:text> </xsl:text>
			<xsl:value-of select="name/lastname"/>
		</xsl:variable>
		<li style="color:blue;"><xsl:apply-templates/>
			<ol>
	<xsl:for-each
	select="document('BeatlesSongs.xml')//Artist[Name=$BeatleName]/Songs/Song">
			<li><xsl:value-of select="."/></li>
	</xsl:for-each>
			</ol>
		</li>
	</xsl:template>
	<xsl:template match="beatle">
		<li style="color:red; text-decoration:line-through">
			<xsl:apply-templates/>
		</li>
	</xsl:template>
	<xsl:template match="name">
		<a href="{parent::beatle/@link}">
			<xsl:value-of select="lastname"/>,
			<xsl:value-of select="firstname"/>
		</a>
	</xsl:template>
</xsl:stylesheet>