<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<h1>Regular Expressions</h1>
		<h2>matches()</h2>
		<table>
		<tr><td><code>matches('abcd','a'):</code></td>
			 <td><xsl:value-of select="matches('abcd','a')"/></td></tr>
		<tr><td><code>matches('abcd','^ab'):</code></td>
			 <td><xsl:value-of select="matches('abcd','^ab')"/></td></tr>
		<tr><td><code>matches('abcd','ab$'):</code></td>
			 <td><xsl:value-of select="matches('abcd','ab$')"/></td></tr>
		<tr><td><code>matches('abcd','cd$'):</code></td>
			 <td><xsl:value-of select="matches('abcd','cd$')"/></td></tr>
		<tr><td><code>matches('abcd','[a-z]{4}'):</code></td>
			 <td><xsl:value-of select="matches('abcd','[a-z]{4}')"/></td></tr>
		<tr><td><code>matches('abcd','[A-Z]{4}'):</code></td>
			 <td><xsl:value-of select="matches('abcd','[A-Z]{4}')"/></td></tr>
		</table>			 
		<h2>tokenize()</h2>
		<p><code>tokenize('a,b,c,d',','):</code></p>
			 <ul>
				<xsl:for-each select="tokenize('a,b,c,d',',')">
					<li><xsl:value-of select="."/></li>
				</xsl:for-each>
			</ul>
		<p><code>tokenize('2006-12-25T12:15:00','[\-T:]'):</code></p>
			 <ul>
				<xsl:for-each select="tokenize('2006-12-25T12:15:00','[\-T:]')">
					<li><xsl:value-of select="."/></li>
				</xsl:for-each>
			</ul>
		<p><code>tokenize('a,,,b,c', ','):</code></p>
			 <ul>
				<xsl:for-each select="tokenize('a,,,b,c', ',')">
					<li><xsl:value-of select="."/></li>
				</xsl:for-each>
			</ul>
		<p><code>tokenize('a,,,b,c', ',+'):</code></p>
			 <ul>
				<xsl:for-each select="tokenize('a,,,b,c', ',+')">
					<li><xsl:value-of select="."/></li>
				</xsl:for-each>
			</ul>
		<h2>replace()</h2>
		<table>
		<tr><td><code>replace('ababab', 'b', 'xx'):</code></td>
			 <td><xsl:value-of select="replace('ababab', 'b', 'xx')"/></td></tr>
		<tr><td><code>replace('ababab', 'zz', 'xx'):</code></td>
			 <td><xsl:value-of select="replace('ababab', 'zz', 'xx')"/></td></tr>
		<tr><td><code>replace('ababab', 'ab', 'xx'):</code></td>
			 <td><xsl:value-of select="replace('ababab', 'ab', 'xx')"/></td></tr>
		<tr><td><code>replace('ababab', '(ab)+', 'xx'):</code></td>
			 <td><xsl:value-of select="replace('ababab', '(ab)+', 'xx')"/></td></tr>
		<tr><td><code>replace('2315551212', '(\d{3})(\d{3})(\d{4})', '($1) $2-$3'):</code></td>
			 <td><xsl:value-of select="replace('2315551212',
        '(\d{3})(\d{3})(\d{4})', '($1) $2-$3')"/></td></tr>
		</table>
	</xsl:template>
</xsl:stylesheet>