<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"/>
	<xsl:template match="/">
		<h1>Functions and Operators</h1>
		<h2>count()</h2>
		<code>count(beatles/beatle):</code>
		<b>
		<xsl:value-of select="count(beatles/beatle)"/>
		</b>
		<h2>contains()</h2>
		<code>contains(//beatle[last()]/@link,'webucator'):</code>
		<b>
		<xsl:value-of select="contains(//beatle[last()]/@link,'webucator')"/>
		</b><br/>
		<code>contains(//beatle[last()]/@link,'ringostarr'):</code>
		<b>
		<xsl:value-of select="contains(//beatle[last()]/@link,'ringostarr')"/>
		</b>
		<h2>concat() and string-join()</h2>
		<code>concat(//beatle[last()]/name/lastname,', ',//beatle[last()]/name/firstname):</code>
		<b>
		<xsl:value-of select="concat(//beatle[last()]/name/lastname,', ',//beatle[last()]/name/firstname)"/>
		</b><br/>
		<code>string-join(//beatle/name/firstname,', '):</code>
		<b>
		<xsl:value-of select="string-join(//beatle/name/firstname,', ')"/>
		</b>
		<h2>=</h2>
		<code>beatles/beatle[ @real = 'no' ]//firstname:</code>
		<b>
		<xsl:value-of select="beatles/beatle[ @real = 'no' ]//firstname"/>
		</b>
		<h2>!=</h2>
		<code>beatles/beatle[ @real != 'no' ]//firstname:</code>
		<b>
		<xsl:value-of select="beatles/beatle[ @real != 'no' ]//firstname"/>
		</b>
		<h2>not()</h2>
		<code>beatles/beatle[ not(@real) ][2]//firstname:</code>
		<b>
		<xsl:value-of select="beatles/beatle[ not(@real) ][2]//firstname"/>
		</b>
		<h2>last()</h2>
		<code>beatles/beatle[ not(@real) ][last()]//firstname:</code>
		<b>
		<xsl:value-of select="beatles/beatle[ not(@real) ][last()]//firstname"/>
		</b>
		<h2>not() &amp; =</h2>
		<code>beatles/beatle[ not(@real='no') ][2]//firstname:</code>
		<b>
		<xsl:value-of select="beatles/beatle[ not(@real='no') ][2]//firstname"/>
		</b>
		<h2>not() &amp; = &amp; last()</h2>
		<code>beatles/beatle[ not(@real='no') ][last()]//firstname:</code>
		<b>
<xsl:value-of select="beatles/beatle[ not(@real='no') ][last()]//firstname"/>
		</b>
		<h2>is</h2>
		<code>beatles/beatle[not(@real='no')][last()] is beatles/beatle[name/firstname='Ringo']:</code>
		<b>
<xsl:value-of select="beatles/beatle[not(@real='no')][last()] is beatles/beatle[name/firstname='Ringo']"/>
		</b>
		<h2>>></h2>
		<code>beatles/beatle[last()] >> beatles/beatle[name/firstname='Ringo']:</code>
		<b>
<xsl:value-of select="beatles/beatle[last()] >> beatles/beatle[name/firstname='Ringo']"/>
		</b>
	</xsl:template>
</xsl:stylesheet>